<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="../static/css/styles.css">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <title>Badge system</title>
</head>
<body>
<h1>Badge system</h1>
<label>Add badge to student:</label>
<form action="/" enctype="multipart/form-data" method="POST">
    <select name="student">
        {% for student in student_list %}
            <option value="{{ student.1 }}">{{ student.0 }}</option>
        {% endfor %}
    </select>
    <select name="badge">
        {% for badge in badges_list %}
            <option value="{{ badge.1 }}">{{ badge.0 }}</option>
        {% endfor %}
    </select>
    <input class="btn blue" type="submit">
</form>

<table class="gradient-box">
    <tr>
        <th scope="col">Student</th>
        <th scope="col">Badges</th>
    </tr>

    {% for student in student_list %}
        <tr>
            <td>{{ student.0 }}</td>
            <td>
                {% if students_badges_dict.get(student.0) is not none %}
                    {% for badge, color in students_badges_dict.get(student.0) %}
                        <span class="badge" style="background-color: {{ color }}">{{ badge }}</span>
                    {% endfor %}
                {% endif %}
            </td>
        </tr>
    {% endfor %}

</table>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>
</html>